import {
  api,
  downloadFile,
  createApiUrl
} from '~/utils/axios';


/**
 * 导出多语言设置
 * @param {Object} data
 * @return {Promise} api
 */
export function exportExcel(data) {
  downloadFile(createApiUrl('I18n.I18nLang.I18nLang/exportExcel'), data);
}

/**
 * 下载多语言设置模板
 * @param {Object} data
 * @return {Promise} api
 */
export function downloadTemplate(data) {
  downloadFile(createApiUrl('I18n.I18nLang.I18nLang/downloadTemplate'), data);
}

/**
 * 导入多语言设置
 * @param {Object} data
 * @return {Promise} api
 */
export const importExcel = createApiUrl('I18n.I18nLang.I18nLang/importExcel');








/**
 * 获取多语言设置列表
 * @param {Object} data
 * @return {Promise} api
 */
export function getI18nLangList(data) {
  return api.post('I18n.I18nLang.I18nLang/getI18nLangList', data);
}

/**
 * 删除多语言设置
 * @param {Object} data
 * @return {Promise} api
 */
export function deleteI18nLang(data) {
  return api.post('I18n.I18nLang.I18nLang/deleteI18nLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '删除失败'
  });
}

/**
 * 添加多语言设置
 * @param {Object} data
 * @return {Promise} api
 */
export function addI18nLang(data) {
  return api.post('I18n.I18nLang.I18nLang/addI18nLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '添加失败'
  });
}
/**
 * 编辑多语言设置
 * @param {Object} data
 * @return {Promise} api
 */
export function editI18nLang(data) {
  return api.post('I18n.I18nLang.I18nLang/editI18nLang', data, {
    isTransformResponse: true,
    isShowSuccessMessage: true,
    errorMessageText: '编辑失败'
  });
}